Bug 496699

Summary: Wacom Bamboo CHT-460 doesn't work
Product: [Fedora] Fedora Reporter: Israel Rodríguez <israeldep>
Component: xorg-x11-drv-wacomAssignee: Peter Hutterer <peter.hutterer>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: arozansk, chris, collura, ftaylor, j.golderer, mbaudier, mcepl, mikey, monteslu, peter.hutterer, xgl-maint
Target Milestone: ---Flags: triage: needinfo? (israeldep)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-31 00:37:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
fc11 dmesg of wacom cth-460/k
none
fc11 lsusb of wacom cth-460/k
none
fc12beta livecd dmesg of wacom cth-460/k
none
fc12beta livecd lsusb of wacom cth-460/k
none
ah yes the thing you actually asked for... fc12beta livecd xorg log of wacom cth-460/k
none
Xorg.0.log after installing xorg-x11-drv-wacom and removing linuxwacom components
none
lsusb snipet sees the wacom tablet
none
autogen.sh log building from freedesktop GIT
none
lshal output
none
lshal output (wacom related only)
none
var log messages wacom snipets from f15-gnome
none
xsession errors wacom snipets from f15-gnome none

Description Israel Rodríguez 2009-04-20 15:00:35 EDT
Description of problem: A Wacom Bamboo tablet doesn't work but appears at devices window on Inkscape and GIMP.

In openSUSE, Mandriva and Ubuntu works using x11-input-wacom and wacom-tools (or similar) works perfectly.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-04-21 08:09:09 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bug Zapper 2009-06-09 10:13:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2009-11-05 13:27:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 collura 2009-11-06 19:45:10 EST
i recently purchased a brick...i mean... 'wacom bamboo pen and touch model#CTH-460/k' and no it didnt work at all.  

didnt expect the gesturing to work yet but did expect the touchpad to register line my normal laptop, which it did not, lol.
(from the  http://linuxwacom.sourceforge.net  project i thought the bamboo's worked but guess not this one yet from further reading...)

anyway i will attach the /var/log/Xorg.0.log from fc12beta livecd you were looking to see.  i downloaded the fc12beta livecd last night.

i will also attach the fc12beta lsusb and dmesg from after i connected the livecd to the internet to download and install the following packages:

linuxwacom-0.8.2.2-14.fc12 (x86_64)
linuxwacom-devel-0.8.2.2-14.fc12 (x86_64)
wacomexpresskeys-0.4.2-3.fc12 (x86_64)

for clarity:
when i move my finger across the pad the pad light intensity changes but no cursor movement.
when i move the pen across the pad the pad light color chainges but no cursor movement.

looking forward to using my shiny new pad :')
Comment 5 collura 2009-11-06 19:47:28 EST
Created attachment 367917 [details]
fc11 dmesg of wacom cth-460/k
Comment 6 collura 2009-11-06 19:48:16 EST
Created attachment 367918 [details]
fc11 lsusb of wacom cth-460/k
Comment 7 collura 2009-11-06 19:49:25 EST
Created attachment 367919 [details]
fc12beta livecd dmesg of wacom cth-460/k
Comment 8 collura 2009-11-06 19:50:16 EST
Created attachment 367920 [details]
fc12beta livecd lsusb of wacom cth-460/k
Comment 9 collura 2009-11-06 19:51:16 EST
Created attachment 367921 [details]
ah yes the thing you actually asked for... fc12beta livecd xorg log of wacom cth-460/k
Comment 10 Mathieu Baudier 2009-11-29 16:02:19 EST
I have the same problem in Fedora 12 x86_64 with a Bamboo tablet PC. The tablet is not recognized and not usable at all.

I tried the rules from bug #497561 without success (apparently my device id is not listed, trying to add it manually did not work either)

[mbaudier@alma /]$ lsusb 
...
Bus 004 Device 002: ID 056a:00d1 Wacom Co., Ltd 
...
(same device id as in previous comments)

when I
 sudo modprobe wacom
dmesg shows
 wacom: v1.51:USB Wacom Graphire and Wacom Intuos tablet driver
but that's all.

I found nothing interesting in Xorg.0.log (I can of course attach it too though, if needed)
Comment 11 Peter Hutterer 2009-11-30 23:00:18 EST
can you give the packages from this build a try please:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1839623

no guarantees of course :)
Comment 12 Mathieu Baudier 2009-12-01 03:37:58 EST
Thanks for the quick reply!

I did:
 sudo yum --nogpgcheck localinstall ~/Download/wacom/xorg-x11-drv-wacom-0.10.2-1.fc12.x86_64.rpm
and could see the linuxwacom package being replaced by xorg-x11-drv-wacom. After a reboot, I could not notice any difference in behaviour.

Where should I look at to make sure that I properly updated my system?

Is it expected that linuxwacom is removed?

I am running Fedora 12 x86_64.
Comment 13 Matěj Cepl 2009-12-01 09:20:14 EST
(In reply to comment #12)
> Is it expected that linuxwacom is removed?

Yes, linuxwacom component is pinning for the fjords, it's excomponent. All hail the new xorg-x11-drv-wacom (I think actually that the code is more or less the same ;)).
Comment 14 Mathieu Baudier 2009-12-01 09:24:07 EST
So, I can check whether the change did improve something?
I noticed no difference (neither in the plain desktop or in GIMP)
Comment 15 collura 2009-12-01 15:16:06 EST
ah the fjords, so magestic; beaconing linuxwacom component to valhala.  

using the package manager i unchecked/uninstalled the linuxwacom packages and wacomexpresskeys.
i downloaded and installed the xorg-x11-drv-wacom-0.10.2-1.fc12.x86_64 from the link you provided (because 10.1-2 was the one in my package manager list the way i had package sources configured).

i still have no cursor response to movement of the pen/finger across the pad.
(i dont have a feel for pen pressure but i am assuming that if the light goes orange and changes intensity that the cursor should move on the screen).
Comment 16 Peter Hutterer 2009-12-01 19:06:40 EST
the code is mostly the same with a bunch of cleanups dropping ancient server support. hence it also replaces linuxwacom, easy way to check whether it's loaded properly is check the wacom module version number in the Xorg.log - if it is 0.10.2 then you have the new driver.

if it's not working that just means the bug is still there :)
Comment 17 collura 2009-12-01 20:28:04 EST
maybe i am just tired but i dont see wacom mentioned in /var/log/Xorg.0.log but i do see it recognizing the tablet in the lsusb.  both are attached.
Comment 18 collura 2009-12-01 20:29:30 EST
Created attachment 375266 [details]
Xorg.0.log after installing xorg-x11-drv-wacom and removing linuxwacom components
Comment 19 collura 2009-12-01 20:30:22 EST
Created attachment 375267 [details]
lsusb snipet sees the wacom tablet
Comment 20 Peter Hutterer 2009-12-04 01:40:13 EST
according to Matthew Garrett, the bamboos seem to be unsupported by the kernel driver. He's hacking up the driver. Stay tuned.
Comment 21 Mathieu Baudier 2009-12-04 02:05:20 EST
Thanks for keeping us informed!
This is much appreciated.

I now have a completely fresh Fedora 12 x86_64 desktop install, don't hesitate to tell me how I can help.
Comment 22 Peter Hutterer 2009-12-06 19:23:11 EST
Just another snippet of information:

"I think MTE (Wacom Bamboo A6 (MTE-450/K-FR, MTE-450/K-IT)) are
supported. But I am only familiar with the product IDs (0x17, 0x18,
0x19, etc) not the model numbers (I can check the details for you
tomorrow if you need a definite answer). The Bamboos with touch
feature are not supported and they will not be supported soon."

That's the official stance from Ping, linuxwacom maintainer.

Today, from http://sourceforge.net/mailarchive/forum.php?thread_name=167e8a330912061304k171fc827te37d4a6952b208b6%40mail.gmail.com&forum_name=linuxwacom-discuss
Comment 23 Mathieu Baudier 2009-12-09 05:45:55 EST
Thanks for the link!
I did some further research following this trail...

Apparently some patches are available:
https://sourceforge.net/tracker/index.php?func=detail&aid=2885208&group_id=69596&atid=525126

which would add support to the following tablets:

{ "Wacom Bamboo P&T 4x5", 9, 14760, 9225, 1023, 63, BAMBOO_PT
}, // CTH-460
{ "Wacom Bamboo Pen 4x5", 9, 14732, 9144, 1023, 63, BAMBOO_PT
}, // CTL-460
{ "Wacom Bamboo Craft", 9, 14732, 9144, 1023, 63, BAMBOO_PT
}, // CTL-461/S
{ "Wacom Bamboo P&T 6x8", 9, 21648, 13530, 1023, 63, BAMBOO_PT
}, // CTH-661

(mine is CTH-460)

In the message above the one you quoted:

https://sourceforge.net/mailarchive/message.php?msg_name=9d40e4ef0912061303i4d0713c3k52c9e7e839cbf5f9%40mail.gmail.com

"> Wacom Bamboo Pen and Touch (CTH-460-DE)
Not supported, tho there are reports that after describing in kernel
driver, it was functional, so support is likely to happen sometime not
too far in the future.

> Wacom Bamboo Fun small (CTH461-DE)
Supported. I use Bamboo fun medium myself with only a minor issue that
the scroll pad only reports scrols in one direction, not the other"

Some people by Ubuntu seems to have succeeded in getting it to work:
http://ubuntuforums.org/showpost.php?p=8262965&postcount=541

And this person did it on Fedora (he apparently hacked the driver to make it compatible with Xorg):
http://forums.fedora-fr.org/viewtopic.php?pid=390377
(this is in French, but I can translate what he wrote or ask him to join this bug)
Comment 24 Peter Hutterer 2009-12-10 01:18:15 EST
hehe. interesting timing - I got a pull request today with a patch to fix up Bamboos. It's in the repository now and will be in 0.10.3.

http://cgit.freedesktop.org/~whot/xf86-input-wacom/commit/?id=bad2015301a83c0c50d18c177d57b1105a173673

If you want to help testing, just run the following commands:
git clone git://people.freedesktop.org/~whot/xf86-input-wacom.git
cd xf86-input-wacom
./autogen.sh <koji flags>
make && make install

after you log out and back in, you should have the driver from git.

The koji flags are the configure flags specified by koji. Look at the build logs for your architecture and just use the flags from there.
http://koji.fedoraproject.org/koji/buildinfo?buildID=144935

from then onwards, it's just a matter of "git pull origin; make && make install" to keep up-to-date
Comment 25 Mathieu Baudier 2009-12-11 14:13:07 EST
Hi,

I did the following on a pretty fresh and up to date Fedora 12 install:

# Install xorg-x11-drv-wacom downloaded from http://koji.fedoraproject.org/koji/buildinfo?buildID=143731
sudo yum localinstall ~/Downloads/091211-wacom/xorg-x11-drv-wacom-0.10.2-1.fc12.x86_64.rpm
sudo yum localinstall ~/Downloads/091211-wacom/xorg-x11-drv-wacom-devel-0.10.2-1.fc12.x86_64.rpm

# Prepare build
sudo yum install xorg-x11-util-macros.noarch
git clone git://people.freedesktop.org/~whot/xf86-input-wacom.git
cd xf86-input-wacom

# Try to configure using ./configure flag from http://kojipkgs.fedoraproject.org/packages/xorg-x11-drv-wacom/0.10.2/2.fc12/data/logs/x86_64/build.log (for x86_64)

./autogen.sh --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --disable-static

Unfortunately I get (complete autogen log attached):
...
checking dependency style of gcc... (cached) gcc3
checking for gcc option to accept ISO C99... -std=gnu99
./configure: line 12560: syntax error near unexpected token `XINPUT,'
./configure: line 12560: `XORG_DRIVER_CHECK_EXT(XINPUT, inputproto)'

I'm stuck here :(
Comment 26 Mathieu Baudier 2009-12-11 14:14:36 EST
Created attachment 377784 [details]
autogen.sh log building from freedesktop GIT
Comment 27 Mathieu Baudier 2009-12-12 05:21:36 EST
I finally could build the driver from git, but the tablet still doesn't work.

I installed all devel packages for Xorg and it somehow fixed the above problem:
 sudo yum install xorg-*-devel

And then built and installed the driver:

 ./autogen.sh --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --disable-static
 make
 sudo make install

I also installed xorg-x11-drv-wacom from the testing repo (=> version 0.10.2-2)
 sudo yum --enablerepo=updates-testing install xorg-x11-drv-wacom
 sudo yum --enablerepo=updates-testing install xorg-x11-drv-wacom-devel

As expected, it replaced linuxwacom.

After rebooting the system, I still cannot use the USB Wacom tablet (CTH-460).
There is also nothing about it in the Xorg log.
Comment 28 Peter Hutterer 2009-12-13 20:58:13 EST
copy the wacom.fdi file from the driver into /etc/hal/fdi/policies and restart HAL. after that, check with lshal whether the input.x11_driver option is set to "wacom" for your device. usually, if there's nothing in the log about wacom this means that your hal isn't merging the option in.

you could also add the devices in the xorg.conf but that's against the hotplugging spirit ;)
Comment 29 Mathieu Baudier 2009-12-15 03:54:28 EST
I have done my homework, but it still not working...

First it took me a while to realize that there was probably a typo in the above, and I copied the wacom.fdi from git to a /etc/hal/fdi/policies file...

Then I tried to copy it to /etc/hal/fdi/policy/

In all cases lshal shows three blocks with Wacom as a vendor (see attachment).
No input.x11_driver option is set in these blocks.

Moreover:

[mbaudier@alma ~]$ sudo lshal | grep x11_driver
  input.x11_driver = 'evdev'  (string)
  input.x11_driver = 'evdev'  (string)
  input.x11_driver = 'evdev'  (string)
  input.x11_driver = 'evdev'  (string)
  input.x11_driver = 'evdev'  (string)
(mouse and keyboard as far as I could see in the attached complete lshal output).

Nothing to be seen in the Xorg log either.

Please note that I also tried to replace the file /usr/share/hal/fdi/policy/20thirdparty/10-wacom.fdi with the content of the wacom.fdi from git, but it did not change anything to the behaviour. 

I reverted this and I currently have:
- the git file under /etc/hal/fdi/policy/wacom.fdi
- the original distrib file /usr/share/hal/fdi/policy/20thirdparty/10-wacom.fdi

[mbaudier@alma ~]$ sudo yum list *wacom
Loaded plugins: presto, refresh-packagekit
Installed Packages
xorg-x11-drv-wacom.x86_64     0.10.2-2.fc12       @updates-testing
Available Packages
linuxwacom.i686               0.8.2.2-14.fc12     fedora          
linuxwacom.x86_64             0.8.2.2-14.fc12     fedora          

(all attached logs are done with these settings)

No need to say that I rebooted many times.
I also put SELinux in permissive mode.
Comment 30 Mathieu Baudier 2009-12-15 03:55:19 EST
Created attachment 378448 [details]
lshal output
Comment 31 Mathieu Baudier 2009-12-15 03:55:46 EST
Created attachment 378449 [details]
lshal output (wacom related only)
Comment 32 Mathieu Baudier 2009-12-15 04:11:56 EST
I would also be happy to test with xorg.conf if you could please tell me how to do...
(I tried a bit based on some old and probably deprecated howtos, but without success)
Comment 33 caius.chance 2009-12-23 14:03:10 EST
I have removed xorg-x11-drv-wacom and linuxwacom from my system. Then, I built and installed with instructions on comment #24.

`xsetwacom --list` or `xsetwacom --list dev` returned nothing.

I also tried `xsetwacom --set "Wacom Intuos4 6x9 pad" "Button2" "key +shift A B -shift c d"` but nothing was returned also. (supposed dev name is correct).
Comment 34 Mathieu Baudier 2010-03-21 10:20:59 EDT
(In reply to comment #32)
> I would also be happy to test with xorg.conf if you could please tell me how to
> do...
> (I tried a bit based on some old and probably deprecated howtos, but without
> success)    

The latest Fedora 12 update brought a 
xorg-x11-drv-wacom.x86_64                 0.10.4-2.fc12                 @updates

Unfortunately my CTH-460 tablet still doesn't work...

I don't think that we are too far away.
Would there be any hint on how we can analyze/test/hack to have it working?

Thanks in advance!
Comment 35 Luis Montes 2010-03-21 12:04:40 EDT
I'm using xorg-x11-drv-wacom-0.10.5-1.fc12 from http://koji.fedoraproject.org/koji/buildinfo?buildID=162622

My CTL-460 tablet doesn't work.


I'd also like to know if there's anything we can do to get this working.


Thanks
Comment 36 Forrest Taylor 2010-04-26 13:11:25 EDT
For the newer Bamboo tablets (such as the CTL-460), see bug #560266.
Comment 37 Bug Zapper 2010-04-27 09:49:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 38 collura 2010-04-27 12:49:33 EDT
should change this to fc12 as it still doesnt work as of 

xorg-x11-drv-wacom.x86_64 version 0.10.5-1.fc12
Comment 39 Peter Hutterer 2010-04-27 21:31:00 EDT
The bamboos are afaict not really a problem in the wacom driver but in missing kernel patches. Bug 560266 has an excellent outline.

At this point, we don't need any more logs and I'm even inclined to close this one as dupe of 560266 so we have one high-signal, low-noise bug to track. Any objections?
Comment 40 collura 2010-04-28 02:02:50 EDT
ok by me, i put a link to this bug (bug#496699) into the new bug (bug#560266) 
so dont loose information.
Comment 41 Mathieu Baudier 2010-04-28 02:38:02 EDT
I agree as well, bug#560266 is much clearer and it apparently has a workaround
Comment 42 Bug Zapper 2010-06-28 08:07:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 43 Luis Montes 2010-06-28 10:55:56 EDT
This is still a bug in Fedora13.

Please change the version on this and re-open.

Thanks
Comment 44 collura 2010-06-28 21:49:13 EDT
...and giving comment#39 a miss, went straight on into comment#43
Comment 45 collura 2010-10-11 11:48:04 EDT
fyi:

http://bitmath.org/code/multitouch/

"The Multitouch X Driver driver uses the kernel MT protocol to bring multi-touch gestures to the Linux desktop."
Comment 46 collura 2011-01-19 23:15:24 EST
cursor responds to pad in rawhide with no setup.

upon rereading it makes sense that reopened this bug since i gather linuxwacom was deprecated by xorg-x11-drv-wacom but it will not matter as they will both be closing soon as it would appear wacom cth-460 (pen and touch) tablet is alive in rawhide:

   https://bugzilla.redhat.com/show_bug.cgi?id=560266#c22 has:

   kernel-2.6.37-2.fc15.x86_64
   xorg-x11-drv-wacom-0.10.10-2-20101122-fc15.x86_64

   "only had time to try simple cursor movements and 
    some taps but looks very promising"

   "cursor movement responded to movement of: 
    pen (pad indicator led goes orange) 
    and of finger (pad indicator led goes white)" 


ya.
Comment 47 collura 2011-05-27 16:26:44 EDT
uh oh

hmm hope i missed something 
but is wacom finger movement broke again?

(finger movement had previously worked in january f15-kde-rawhide but not working in f15-gnome)

moving finger doesnt move the cursor now:

   f15-gnome (ran preupgrade from f14-gnome) 
   xorg-x11-drv-wacom-0.11.0-1.fc15 (x86_64)
   gnome-settings-daemon-3.0.1-4.f15 (x86_64)

   test-updates enabled

poop, cursor doesnt seem to respond to finger anymore

(though pad light intensity increases so detects finger)
(though the cursor responds to pen with no setup but finger fails)
(buttons seem to work)


var log messages seems to recognize wacom but didnt see any errors there.

there was an interesting bit in the xsession-errors about gnome-settings-daemon error in setting wacom pressure threshold for pen stylus but the pen works.

i have noticed a lot of lost setting values ( forgetful brightness, gdesklet size properties, wifi not autoconnecting ) so wondering it this is a gnome-settings issue instead of wacom issue?
Comment 48 collura 2011-05-27 18:18:18 EDT
Created attachment 501417 [details]
var log messages wacom snipets from f15-gnome
Comment 49 collura 2011-05-27 18:19:30 EDT
Created attachment 501418 [details]
xsession errors wacom snipets from f15-gnome
Comment 50 Chris Bagwell 2011-05-28 00:24:47 EDT
This is for f15 comments.  I think xf86-input-wacom should be in good shape after latest update to updates-testing.

If you have a Tablet PC or a Bamboo then touch may not work because of bug on gnome side.  You can verify this if touch works in GDM but not once logged in.

If so then issue this to fix:

gsettings set org.gnome.settings-daemon.peripherals.wacom touch true

updates-testing has an upstream fix bug I think older users will still need to issue that command to fix old default values.

See bug #697976 for more info.
Comment 51 collura 2011-05-28 02:51:50 EDT
about comment#50:

0) i didnt get the relation of 
        bug#697976 ('mass file re-namer') 
   but i think you meant 
        bug#697986 (comment#0: 'touchscreen fail but wacom pen still works').
                   (comment#8/comment#9: gsettings set)   
   which was very helpful.

1) nice speedy service :')

rats forgot to mention that the wacom was working during login, but failing after logged in.  thought it was a dream so glad you mentioned that, lol.

must have had some crud stuck in yum but a few update/clear cycles seems to have cleared it just now.  some of the updates that finally came through after some work were indeed: 

  gnome-settings-daemon-3.0.1-6.fc15 (x86_64) (the fix)
  xorg-x11-drv-wacom-0.11.0-2.fc15 (x86_64)  (unrelated feature add wacom x220)

and it did fix wacom up nicely :')

thanks

(ps: the gnome-settings and network manager updates didnt fix the wifi forgetfulness or brightness forgetfullness but thats another report)
Comment 52 Peter Hutterer 2011-05-31 00:37:02 EDT
Closing as CURRENTRELEASE, bamboos work in F15 now. Sorry, but this will unlikely be backported/included in F13/F14.

The touch behaviour is bug 697986, please refer to that for any further issues.
Comment 53 Bug Zapper 2011-06-02 14:08:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping